/* This function inserts a text at given position in a file. The file has to be open for reading/writing. */
Void TXTFile_Insert(Number fileID, Number pos, String text)
	{
	Object file_stream
	String copystring
	Number filesize
	file_stream = NewStreamFromFileReference(fileID, 0)  	// Note: File not automatically closed!
	filesize = file_stream.StreamGetSize()
	If ( pos > filesize ) Return
	If ( pos < 0 ) Return
	file_stream.StreamSetPos(0 , pos)			// jump to position
	copystring = file_stream.StreamReadAsText(0, filesize-pos) 	// copy rest of file
	file_stream.StreamSetPos(0 , pos)			// jump to position
	file_stream.StreamWriteAsText(0 , text) 	// inset the text
	file_stream.StreamWriteAsText(0 , copystring)	// paste rest of file
	Return
	}

String 	filename, text
Number	fileID, pos
If (!OpenDialog(NULL, "Inserting in a text file", GetApplicationDirectory(2,0) + "myText.txt", filename)) Exit(0)
fileID = OpenFileForReadingAndWriting(filename)
while (GetString("Enter new text", "-INSERTED-", text))
	{
	If (!GetNumber("Insert at position [0-" + fileID.GetFileSize() + "]", 0, pos)) Break
	TXTFile_Insert(fileID, pos, text)
	}
CloseFile(fileID)

