/* This function removes a text of given length and position. The file has to be open for reading/writing. */
Void TXTFile_Remove(Number fileID, Number pos, Number amount)
	{
	Object file_stream
	String copystring
	Number filesize
	file_stream = NewStreamFromFileReference(fileID, 0)  	// Note: File not automatically closed!
	filesize = file_stream.StreamGetSize()
	If ( (pos+amount) > filesize ) Return
	If ( pos < 0 ) Return
	file_stream.StreamSetPos(0 , pos+amount)	// jump to position
	copystring = file_stream.StreamReadAsText(0, filesize-pos-amount) 	// copy rest of file
	file_stream.StreamSetPos(0 , pos)			// jump to position
	file_stream.StreamWriteAsText(0 , copystring)	// paste rest of file
	file_stream.StreamSetSize(file_stream.StreamGetPos())	// truncate the file at the current position
	Return
	}

String 	filename
Number	fileID, pos, amount
If (!OpenDialog(NULL, "Deleting from a text file", GetApplicationDirectory(2,0) + "myText.txt", filename)) Exit(0)
fileID = OpenFileForReadingAndWriting(filename)
If (!GetNumber("Cut at position [0-" + fileID.GetFileSize() + "]", 0, pos)) Exit(0)
If (!GetNumber("Cut how many characters [0-" + (fileID.GetFileSize()-pos) + "]", 0, amount)) Exit(0)
TXTFile_Remove(fileID, pos, amount)
CloseFile(fileID)
